Index: general.ent
===================================================================
--- general.ent	(revision e7574a1a38e45e6521e4439e0c9bdd9c3a72d427)
+++ general.ent	(revision e83b714d2123bc615268b4643996014d32602d03)
@@ -98,36 +98,36 @@
 <!-- Part II -->
 <!-- Chapter 3 -->
-<!ENTITY autofs-version               "5.0.5">
 <!ENTITY initd-tools-version          "0.1.3">
 
 <!-- Chapter 4 -->
 
-<!ENTITY openssl-version              "1.0.0e">
-<!-- The ca-bundle-version should be updated to match nss version -->
-<!ENTITY ca-bundle-version            "3.12.11.0">
-<!ENTITY gnutls-version               "3.0.7">
+<!ENTITY acl-version                  "2.2.51">
+<!ENTITY attr-version                 "2.4.44">
+<!ENTITY consolekit-version           "0.4.1">
 <!ENTITY cracklib-version             "2.8.18">
-<!ENTITY openssh-version              "5.9p1">
-<!ENTITY linux-pam-version            "1.1.5">
-<!ENTITY shadow-version               "4.1.4.3">
+<!ENTITY cyrus-sasl-version           "2.1.23">
 <!ENTITY iptables-version             "1.4.12">
 <!ENTITY gnupg-version                "1.4.11">
 <!ENTITY gnupg2-version               "2.0.18">
 <!ENTITY gpgme-version                "1.3.1">
+<!ENTITY heimdal-version              "1.4">
 <!ENTITY libcap2-version              "2.22">
+<!ENTITY mitkrb-version               "1.6">
 <!ENTITY nettle-version               "2.4">
-<!ENTITY tripwire-version             "2.4.2.2">
-<!ENTITY heimdal-version              "1.4">
-<!ENTITY mitkrb-version               "1.6">
-<!ENTITY cyrus-sasl-version           "2.1.23">
-<!ENTITY stunnel-version              "4.46">
-<!ENTITY sudo-version                 "1.8.2">
 <!ENTITY nss-version                  "3.13.1">
+<!ENTITY openssh-version              "5.9p1">
+<!ENTITY openssl-version              "1.0.0e">
+<!-- version no longer used, we take whatever mozilla is offering
+<!ENTITY ca-bundle-version            "3.12.11.0"> -->
+<!ENTITY gnutls-version               "3.0.7">
+<!ENTITY linux-pam-version            "1.1.5">
 <!ENTITY policykit-version            "0.9">
 <!ENTITY polkit-version               "0.102">
 <!ENTITY polkit-gnome-version         "0.94">
-<!ENTITY consolekit-version           "0.4.1">
-<!ENTITY attr-version                 "2.4.44">
-<!ENTITY acl-version                  "2.2.51">
+<!ENTITY shadow-version               "4.1.4.3">
+<!ENTITY stunnel-version              "4.46">
+<!ENTITY sudo-version                 "1.8.2">
+<!ENTITY tcpwrappers-version          "7.6">
+<!ENTITY tripwire-version             "2.4.2.2">
 
 <!-- Chapter 5 -->
@@ -282,6 +282,8 @@
 <!ENTITY gperf-version                "3.0.4">
 <!ENTITY rarian-version               "0.8.1">
+<!ENTITY ggz-client-libs-version      "0.0.14.1">
 
 <!-- Chapter 11 -->
+<!ENTITY autofs-version               "5.0.5">
 <!ENTITY gpm-version                  "1.20.6">
 <!ENTITY fcron-version                "3.0.6">
@@ -308,9 +310,7 @@
 <!ENTITY unrar-version                "3.9.10">
 <!ENTITY libarchive-version           "2.8.5">
-<!ENTITY cmake-version                "2.8.6">
 <!ENTITY raptor-version               "1.4.21">
 <!ENTITY rasqal-version               "0.9.20">
 <!ENTITY redland-version              "1.0.12">
-<!ENTITY soprano-version              "2.5.63">
 <!ENTITY strigi-version               "0.6.4">
 
@@ -323,4 +323,6 @@
 <!-- Chapter 12 -->
 <!ENTITY check-version                "0.9.8">
+<!ENTITY cmake-version                "2.8.6">
+<!ENTITY cvs-version                  "1.11.23">
 <!ENTITY dejagnu-version              "1.5">
 <!ENTITY doxygen-version              "1.7.5">
@@ -345,4 +347,5 @@
 <!ENTITY dbus-python-version          "0.84.0">
 <!ENTITY ruby-version                 "1.9.2-p290">
+<!ENTITY subversion-version           "1.7.1">
 <!ENTITY tcl-version                  "8.5.10">
 <!ENTITY tk-version                   "8.5.9">
@@ -424,12 +427,35 @@
 <!-- Chapter 13 -->
 <!ENTITY ppp-version                  "2.4.5">
+<!ENTITY dhcpcd-version               "5.2.12">
+<!ENTITY dhcp-version                 "4.2.3">
+
+<!-- Obsolete
 <!ENTITY wvdial-version               "1.54.0">
+<!ENTITY pppoe-version                "3.8">-->
 
 <!-- Chapter 14 -->
-<!ENTITY dhcp-version                 "4.2.3">
-<!ENTITY dhcpcd-version               "5.2.12">
+<!ENTITY cifsutils-version            "5.1">
+<!ENTITY inetutils-version            "1.8">
+<!ENTITY ncftp-version                "3.2.3">
+<!ENTITY net-tools-version            "1.60">
+<!ENTITY nfs-utils-version            "1.2.5">
+<!ENTITY ntp-version                  "4.2.6p4">
+<!ENTITY rpcbind-version              "0.2.0">
+<!ENTITY rsync-version                "3.0.9">
+<!ENTITY samba3-version               "3.6.1">
+<!ENTITY wget-version                 "1.13.4">
+<!ENTITY wireless-tools-version       "28">
+
+<!-- Obsolete
+<!ENTITY portmap-version              "6.0">-->
 
 <!-- Chapter 15 -->
-<!ENTITY pppoe-version                "3.8">
+<!ENTITY traceroute-version           "2.0.18">
+<!ENTITY nmap-version                 "5.51">
+<!ENTITY whois-version                "5.0.12">
+<!ENTITY bind-version                 "9.8.1-P1">
+<!ENTITY wireshark-version            "0.99.6">
+<!ENTITY avahi-version                "0.6.25">
+<!ENTITY mod_dnssd-version            "0.6">
 
 <!-- Chapter 16 -->
@@ -441,4 +467,5 @@
 <!ENTITY libtirpc-version             "0.2.2">
 <!ENTITY neon-version                 "0.29.6">
+
 <!-- Obsolete
 <!ENTITY wvstreams-version            "4.2.2">
@@ -452,35 +479,4 @@
 
 <!-- Chapter 18 -->
-<!ENTITY cifsutils-version            "5.1">
-<!ENTITY cvs-version                  "1.11.23">
-<!ENTITY inetutils-version            "1.8">
-<!ENTITY ncftp-version                "3.2.3">
-<!ENTITY net-tools-version            "1.60">
-<!ENTITY wireless-tools-version       "28">
-<!ENTITY ntp-version                  "4.2.6p4">
-<!ENTITY openssh-version              "5.9p1">
-<!ENTITY rpcbind-version              "0.2.0">
-<!ENTITY portmap-version              "6.0">
-<!ENTITY rsync-version                "3.0.9">
-<!ENTITY samba3-version               "3.6.1">
-<!ENTITY subversion-version           "1.7.1">
-<!ENTITY tcpwrappers-version          "7.6">
-<!ENTITY wget-version                 "1.13.4">
-<!ENTITY ggz-client-libs-version      "0.0.14.1">
-
-<!-- Obsolete
-<!ENTITY ncpfs-version                "2.2.4">
--->
-
-<!-- Chapter 19 -->
-<!ENTITY traceroute-version           "2.0.18">
-<!ENTITY nmap-version                 "5.51">
-<!ENTITY whois-version                "5.0.12">
-<!ENTITY bind-version                 "9.8.1-P1">
-<!ENTITY wireshark-version            "0.99.6">
-<!ENTITY avahi-version                "0.6.25">
-<!ENTITY mod_dnssd-version            "0.6">
-
-<!-- Chapter 20 -->
 <!ENTITY mailx-version                "12.4">
 <!ENTITY procmail-version             "3.22">
@@ -494,17 +490,20 @@
 -->
 
-<!-- Part VI -->
-<!-- Chapter 21 -->
+
+<!-- Obsolete
+<!ENTITY ncpfs-version                "2.2.4">
+-->
+
+<!-- Part V -->
+<!-- Chapter 19 -->
 <!ENTITY apache-version               "2.2.21">
-<!-- bind (chapter 19) -->
-<!ENTITY nfs-utils-version            "1.2.5">
-<!-- openssh (chapter 18) -->
+<!-- bind (chapter 15) -->
+<!-- openssh (chapter 4) -->
 <!ENTITY proftpd-version              "1.3.0">
-<!-- samba3 (chapter 18) -->
+<!-- samba3 (chapter 14) -->
 <!ENTITY vsftpd-version               "2.3.4">
 <!ENTITY xinetd-version               "2.3.14">
 
-<!-- Chapter 22 -->
-<!ENTITY courier-version              "0.47">
+<!-- Chapter 20 -->
 <!ENTITY exim-version                 "4.67">
 <!ENTITY postfix-version              "2.8.4">
@@ -512,6 +511,9 @@
 <!ENTITY sendmail-version             "8.14.4">
 
-<!-- Chapter 23 -->
-
+<!-- Obsolete
+<!ENTITY courier-version              "0.47">
+-->
+
+<!-- Chapter 21 -->
 <!ENTITY db-version                   "5.2.36">
 <!ENTITY mysql-version                "5.5.17">
@@ -519,20 +521,16 @@
 <!ENTITY sqlite-version               "3.7.8">
 
-<!-- Obsolete
--->
-
-<!-- Chapter 24 -->
-<!-- dhcp (chapter 14) -->
+<!-- Chapter 22 -->
+<!-- dhcp (chapter 13) -->
 <!ENTITY leafnode-version             "1.11.5">
 <!ENTITY openldap-download-version    "stable-20100719">
 <!ENTITY openldap-version             "2.4.23">
 <!ENTITY virtuoso-version             "6.1.2">
-<!-- rsync (chaptet 18) -->
-<!-- cvs (chapter 18) -->
-<!-- subversion (chapter 18) -->
+<!ENTITY soprano-version              "2.5.63">
+<!-- rsync (chapter 14) -->
+<!-- cvs (chapter 12) -->
 
 <!-- Part VII -->
-<!-- Chapter 25 -->
-<!ENTITY xfree86-version              "4.6.0">
+<!-- Chapter 23 -->
 <!ENTITY xorg7-version                "7.6">
 <!ENTITY xorg7-release                "7.6-2">
@@ -551,7 +549,8 @@
 <!-- Obsolete
 <!ENTITY xorg-version                 "6.9.0">
--->
-
-<!-- Chapter 26 -->
+<!ENTITY xfree86-version              "4.6.0">
+-->
+
+<!-- Chapter 24 -->
 <!ENTITY qt-version                   "3.3.8d">
 <!ENTITY qt4-version                  "4.7.1">
@@ -583,5 +582,5 @@
 <!ENTITY gtk-vnc-version              "0.3.10">
 
-<!-- Chapter 27 -->
+<!-- Chapter 25 -->
 <!ENTITY sawfish-version              "1.6.1">
 <!ENTITY fluxbox-version              "1.3.2">
@@ -592,7 +591,6 @@
 -->
 
-<!-- Part VIII -->
-<!-- Chapter 28 & 29 -->
-<!-- Chapter 28 & 29 -->
+<!-- Part VII -->
+<!-- Chapter 26 & 27 -->
 <!ENTITY trinity-version              "3.5.13">
 <!ENTITY kde-version                  "3.5.10">
@@ -603,8 +601,9 @@
 <!ENTITY kde-dir                      "$KDE_PREFIX">
 
-<!-- Chapter 30 -->
+<!-- Chapter 28 -->
 <!ENTITY kdevelop-version             "3.5.4">
 
-<!-- Part IX -->
+<!-- Part VIII -->
+<!-- Chapteris 29-32 -->
 <!ENTITY kde4-version                 "4.6.0">
 <!ENTITY kde4-dldir                   "&kde4-version;">
@@ -632,5 +631,6 @@
 <!ENTITY kdevel4-download-ftp         "ftp://ftp.kde.org/pub/kde/&kde4-branch;/kdevelop/&kdevelop4-version;/src">
 
-<!-- Part X -->
+<!-- Part IX -->
+
 <!ENTITY gnome-version                "2.30">
 <!ENTITY gnome-minor-version          ".2">
@@ -638,6 +638,4 @@
 <!ENTITY gnome-download-http          "http://ftp.gnome.org/pub/gnome/sources">
 <!ENTITY gnome-download-ftp           "ftp://ftp.gnome.org/pub/gnome/sources">
-
-<!-- Chapter 31 -->
 
 <!-- Platform -->
@@ -677,5 +675,5 @@
 <!ENTITY zenity-version               "2.30.0">
 
-<!-- Chapter 32 -->
+<!-- Chapter 34 -->
 
 <!-- Libraries -->
@@ -758,5 +756,4 @@
 -->
 
-<!-- Chapter 33 -->
 <!-- Obsoleting the GNOME-1.4 stuff
 <!ENTITY ORBit-version                "0.5.17">
@@ -777,6 +774,6 @@
 -->
 
-<!-- Part XI -->
-<!-- Chapter 34 -->
+<!-- Part X -->
+<!-- Chapter 35 -->
 <!ENTITY AbiWord-version              "2.8.6">
 <!ENTITY gnumeric-version             "1.10.17">
@@ -786,18 +783,18 @@
 <!ENTITY icedtea-web-version          "1.0.1">
 
-<!-- Chapter 35 -->
+<!-- Chapter 36 -->
 <!ENTITY koffice-version              "1.6.3">
 <!ENTITY openoffice-version           "3.2.1">
 
-<!-- Chapter 36 -->
+<!-- Chapter 37 -->
 <!ENTITY seamonkey-version            "2.6.1">
 <!ENTITY firefox-version              "9.0.1">
+
+<!-- Obsolete
+<!ENTITY dillo-version                "0.8.5">
 <!ENTITY galeon-version               "2.0.1">
-
-<!-- Obsolete
-<!ENTITY dillo-version                "0.8.5">
--->
-
-<!-- Chapter 37 -->
+-->
+
+<!-- Chapter 38 -->
 <!ENTITY thunderbird-version          "9.0.1">
 <!ENTITY pan-version                  "0.133">
@@ -806,6 +803,6 @@
 <!ENTITY xchat-version                "2.8.4">
 
-<!-- Part XII -->
-<!-- Chapter 38 -->
+<!-- Part XI -->
+<!-- Chapter 39 -->
 <!ENTITY alsa-version                 "1.0.24.1">
 <!ENTITY alsa-lib-version             "1.0.24.1">
@@ -862,5 +859,5 @@
 -->
 
-<!-- Chapter 39 -->
+<!-- Chapter 40 -->
 <!ENTITY mpg123-version               "1.12.4">
 <!ENTITY vorbistools-version          "1.2.0">
@@ -874,5 +871,5 @@
 <!ENTITY amarok-version               "1.4.8">
 
-<!-- Chapter 40 -->
+<!-- Chapter 41 -->
 <!ENTITY ffmpeg-version               "0.9">
 <!ENTITY avifile-version              "0.7.45">
@@ -881,5 +878,5 @@
 <!ENTITY transcode-version            "1.0.3">
 
-<!-- Chapter 41 -->
+<!-- Chapter 42 -->
 <!ENTITY cdrtools-version             "2.01">
 <!ENTITY cdrdao-version               "1.2.2">
@@ -889,6 +886,6 @@
 <!ENTITY xorriso-version              "1.1.0">
 
-<!-- Part XIII -->
-<!-- Chapter 42 -->
+<!-- Part XII -->
+<!-- Chapter 43 -->
 <!ENTITY cups-version                 "1.5.0">
 <!ENTITY LPRng-version                "3.8.B">
@@ -901,9 +898,9 @@
 -->
 
-<!-- Chapter 43 -->
+<!-- Chapter 44 -->
 <!ENTITY sane-version                 "1.0.19">
 <!ENTITY xsane-version                "0.994">
 
-<!-- Chapter 44 -->
+<!-- Chapter 45 -->
 <!ENTITY sgml-common-version          "0.6.3">
 <!ENTITY sgml-dtd-3-version           "3.1">
@@ -914,10 +911,10 @@
 <!ENTITY docbook-utils-version        "0.6.14">
 
-<!-- Chapter 45 -->
+<!-- Chapter 46 -->
 <!ENTITY DocBook-version              "4.5">
 <!ENTITY docbook-xsl-version          "1.76.1">
 <!ENTITY xmlto-version                "0.0.23">
 
-<!-- Chapter 46 -->
+<!-- Chapter 47 -->
 <!ENTITY a2ps-version                 "4.14">
 <!ENTITY enscript-version             "1.6.4">
@@ -929,7 +926,10 @@
 <!ENTITY paps-version                 "0.6.8">
 
-<!-- Chapter 47 -->
+<!-- Chapter 48 -->
 <!ENTITY texlive-version              "20110705">
+<!ENTITY jadetex-version              "3.13">
+
+<!-- Obsolete
 <!ENTITY tetex-version                "3.0">
-<!ENTITY jadetex-version              "3.13">
-
+-->
+
